return {
  "nvimtools/none-ls.nvim",
  dependencies = { "nvim-lua/plenary.nvim", "nvimtools/none-ls-extras.nvim" },
  config = function()
    local null_ls = require "null-ls"
    null_ls.setup {
      sources = {
        null_ls.builtins.formatting.stylua,
        null_ls.builtins.formatting.alejandra,
        null_ls.builtins.diagnostics.pylint,
      },
    }
    vim.keymap.set("n", "<C-s-i>", vim.lsp.buf.format, {})
  end,
}
